import 'uno.css'
import Vue from 'vue'
import http from '@/http/index.js'
import App from './App.vue'
import router from './router'
import store from './store'
import vueParticles from 'vue-particles'
import Vcomp from './components/index'
import Toast from './components/toast'

import '@/assets/styles/base.scss'
import '@/assets/styles/common.scss'
import '@/assets/styles/common.less'
import '@/assets/iconfont/iconfont.css'
import '@/assets/icon2/font/iconfont.css'

Vue.use(http)
Vue.use(vueParticles)
Vue.use(Vcomp)

Vue.config.productionTip = false

Vue.prototype.$Toast = Toast

router.beforeEach((to, from, next) => {
  if (to.meta.title) {
    document.title = to.meta.title
  }
  next()
})

window.$this = new Vue({
  router,
  store,
  render: (h) => h(App),
  beforeCreate() {
    Vue.prototype.$bus = this
    Vue.prototype.$apiObj = http.apiObj
    Object.entries(http.apiObj).forEach(([key, item]) => {
      const fn = () => {
        if (typeof item.api === `string`) {
          this.$http
            .get(item.api, {
              params: item.arg,
            })
            .then((res) => {
              this.$bus.$emit(key, res, item.arg)
            })
        } else {
          item.api(item.arg).then((res) => {
            this.$bus.$emit(key, res, item.arg)
          })
        }
      }
      fn()
      setInterval(fn, item.time)
    })
  },
}).$mount(`#app`)
